
.dataTables_filter label  {
    display:none;
}
.dataTables_filter input[type="search"] {
    padding: 0.75rem;
    margin-bottom:1rem;
    border-width:1px;
    border-radius:6px;
    border-color: #efefef;
    display: flex;
    width:360px;
}


table.dataTable thead>tr>th.sorting:before, table.dataTable thead>tr>th.sorting:after, table.dataTable thead>tr>th.sorting_asc:before, table.dataTable thead>tr>th.sorting_asc:after, table.dataTable thead>tr>th.sorting_desc:before, table.dataTable thead>tr>th.sorting_desc:after, table.dataTable thead>tr>th.sorting_asc_disabled:before, table.dataTable thead>tr>th.sorting_asc_disabled:after, table.dataTable thead>tr>th.sorting_desc_disabled:before, table.dataTable thead>tr>th.sorting_desc_disabled:after, table.dataTable thead>tr>td.sorting:before, table.dataTable thead>tr>td.sorting:after, table.dataTable thead>tr>td.sorting_asc:before, table.dataTable thead>tr>td.sorting_asc:after, table.dataTable thead>tr>td.sorting_desc:before, table.dataTable thead>tr>td.sorting_desc:after, table.dataTable thead>tr>td.sorting_asc_disabled:before, table.dataTable thead>tr>td.sorting_asc_disabled:after, table.dataTable thead>tr>td.sorting_desc_disabled:before, table.dataTable thead>tr>td.sorting_desc_disabled:after {
    position: absolute;
    display: block;
    opacity: .125;
    right: 10px;
    line-height: 9px;
    font-size: .8em;
}

table.dataTable thead>tr>th.sorting, table.dataTable thead>tr>th.sorting_asc, table.dataTable thead>tr>th.sorting_desc, table.dataTable thead>tr>th.sorting_asc_disabled, table.dataTable thead>tr>th.sorting_desc_disabled, table.dataTable thead>tr>td.sorting, table.dataTable thead>tr>td.sorting_asc, table.dataTable thead>tr>td.sorting_desc, table.dataTable thead>tr>td.sorting_asc_disabled, table.dataTable thead>tr>td.sorting_desc_disabled {
    cursor: pointer;
    position: relative;
    padding-right: 26px;
}
table.dataTable thead>tr>th.sorting:before, table.dataTable thead>tr>th.sorting_asc:before, table.dataTable thead>tr>th.sorting_desc:before, table.dataTable thead>tr>th.sorting_asc_disabled:before, table.dataTable thead>tr>th.sorting_desc_disabled:before, table.dataTable thead>tr>td.sorting:before, table.dataTable thead>tr>td.sorting_asc:before, table.dataTable thead>tr>td.sorting_desc:before, table.dataTable thead>tr>td.sorting_asc_disabled:before, table.dataTable thead>tr>td.sorting_desc_disabled:before {
    bottom: 50%;
    content: "▲";
    content: "▲"/"";
}
table.dataTable thead>tr>th.sorting:after, table.dataTable thead>tr>th.sorting_asc:after, table.dataTable thead>tr>th.sorting_desc:after, table.dataTable thead>tr>th.sorting_asc_disabled:after, table.dataTable thead>tr>th.sorting_desc_disabled:after, table.dataTable thead>tr>td.sorting:after, table.dataTable thead>tr>td.sorting_asc:after, table.dataTable thead>tr>td.sorting_desc:after, table.dataTable thead>tr>td.sorting_asc_disabled:after, table.dataTable thead>tr>td.sorting_desc_disabled:after {
    top: 50%;
    content: "▼";
    content: "▼"/"";
}
table.dataTable thead>tr>th.sorting_asc:before, table.dataTable thead>tr>th.sorting_desc:after, table.dataTable thead>tr>td.sorting_asc:before, table.dataTable thead>tr>td.sorting_desc:after {
    opacity: .6;
}
table.dataTable thead>tr>th.sorting:after, table.dataTable thead>tr>th.sorting_asc:after, table.dataTable thead>tr>th.sorting_desc:after, table.dataTable thead>tr>th.sorting_asc_disabled:after, table.dataTable thead>tr>th.sorting_desc_disabled:after, table.dataTable thead>tr>td.sorting:after, table.dataTable thead>tr>td.sorting_asc:after, table.dataTable thead>tr>td.sorting_desc:after, table.dataTable thead>tr>td.sorting_asc_disabled:after, table.dataTable thead>tr>td.sorting_desc_disabled:after {
    top: 50%;
    content: "▼";
    content: "▼"/"";
}
table.dataTable thead>tr>th.sorting:before, table.dataTable thead>tr>th.sorting_asc:before, table.dataTable thead>tr>th.sorting_desc:before, table.dataTable thead>tr>th.sorting_asc_disabled:before, table.dataTable thead>tr>th.sorting_desc_disabled:before, table.dataTable thead>tr>td.sorting:before, table.dataTable thead>tr>td.sorting_asc:before, table.dataTable thead>tr>td.sorting_desc:before, table.dataTable thead>tr>td.sorting_asc_disabled:before, table.dataTable thead>tr>td.sorting_desc_disabled:before {
    bottom: 50%;
    content: "▲";
    content: "▲"/"";
}


table.dataTable {
    width: 100%;
    overflow-x: scroll;
    display: table;
    flex-flow: column;
    padding: 10px 0px;
}



/* Make the last column sticky on the right */
table.dataTable th:last-child:not(:first-child),
table.dataTable td:last-child:not(:first-child) {
    position: sticky;
    right: 0;
    /* background-color: white; */
    z-index: 1; 
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}
/* Make the last column sticky on the right */
table.dataTable.with-checkboxes th:first-child:not(:last-child),
table.dataTable.with-checkboxes td:first-child:not(:last-child) {
    position: sticky;
    left: 0;
    /* background-color: white; */
    z-index: 1; 
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}
table.dataTable.with-checkboxes th:last-child:not(:first-child):not(.dt-checkboxes-cell),
table.dataTable.with-checkboxes td:last-child:not(:first-child):not(.dt-checkboxes-cell),
table.dataTable.with-checkboxes th:first-child:not(:last-child):not(.dt-checkboxes-cell),
table.dataTable.with-checkboxes td:first-child:not(:last-child):not(.dt-checkboxes-cell) {
    display: flex;
    align-items: center;
    padding: 0px 10px;
    line-height: 40px;
}

table.dataTable th:last-child,
table.dataTable th:first-child
{
    background: white;
}

table.dataTable td:last-child,
table.dataTable.with-checkboxes td:first-child {
    background: inherit;
    padding: 0px 0px;
}

 /* Classes for dynamic shadow */
.shadow-right {
    box-shadow: 2px 2px 5px rgba(0, 0, 0, 0.1);
    border-right: 1px solid #eaeaea;
}

.shadow-left {
    
    box-shadow: -2px 2px 5px rgba(0, 0, 0, 0.1);
    border-right: 1px solid #eaeaea;
}

table.dataTable th * {
    white-space: nowrap;
    height: 40px;
}
table.dataTable td {
    padding: 10px 10px; 
    box-sizing: border-box;
    white-space: nowrap;
    min-height: 40px;
    max-height: 40px;
    height: 100%; 
}
table.dataTable th *,
table.dataTable td * {
    flex: 1;
}

table.dataTable tr {
    height: 40px;
} 

 
table.dataTable  thead tr:nth-child(3) {
   display: none;
} 
 
table.dataTable thead tr.datatable-column-filter-row {
    display: none;
}

input[type="checkbox"].icheck-hidden {
    display: none !important;
}